
Redmine - Feature #9720

Add note number for single issue's PDF

2011-12-05 04:01 - Akiko Takano

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Please add note number for single issue not only for html but also PDF.

Associated revisions

Revision 8090 - 2011-12-05 08:34 - Toshi MARUYAMA

pdf: add note number for single issue's PDF (#9720)

Contributed by Akiko T.

Revision 8099 - 2011-12-06 04:44 - Toshi MARUYAMA

pdf: move note number to the head of line for single issue's PDF (#9720)

History

#1 - 2011-12-05 07:40 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

- Target version set to 1.3.0

#2 - 2011-12-05 07:41 - Toshi MARUYAMA

- Target version deleted (1.3.0)

#3 - 2011-12-05 08:41 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.3.0

- Resolution set to Fixed

Committed in trunk r8090 and 1.3-stable r8091, thanks.

#4 - 2011-12-05 09:30 - Etienne Massip

Having the note number right after the user name is not very readable, it feels like the note is referring to the user; what would you think of inserting it

at the begin of the line or at least add a hyphen to separate username and note#?

It's fine in HTML since the note is at the end of the line.

#5 - 2011-12-05 09:58 - Toshi MARUYAMA

- File r8090.diff added

This is a patch to move note number at beginning line.

I remove "note", because there is no "note" translation.

#6 - 2011-12-05 11:40 - Etienne Massip

I tested 2 different versions of your patch:

#1 <date and time> - <username>

#1 - <date and time> - <username>

As a personal POV, I'd rather use the second one since, in the first one, the separation between note# last digit and date first digit is not obvious.
https://www.redmine.org/projects/redmine/repository/svn/revisions/8090
https://www.redmine.org/projects/redmine/repository/svn/revisions/8091


#7 - 2011-12-05 19:16 - Akiko Takano

MARUYAMA-san, Thanks for your work!

#8 - 2011-12-06 04:51 - Toshi MARUYAMA

I committed "#1 - <date and time> - <username>" in trunk r8099 and 1.3-stable r8100.

Files

pdf.diff 1.13 KB 2011-12-05 Akiko Takano

r8090.diff 692 Bytes 2011-12-05 Toshi MARUYAMA
